TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Regexp ( string R, string S ) -> elt-alg^boo, string, seq()

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 3

### Description

<shortdoc> Given a regular expression R and a string S, test whether S matches R; if so, return true, the matched substring of S, and the sequence of matched substrings of S corresponding to the parenthesized expressions of R; otherwise, return false. </shortdoc>

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack